
using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMInfoMap : APTEntityBaseMap<T_FM_INFO>
    {
		public override void Configure(EntityTypeBuilder<T_FM_INFO> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.INFO).HasMaxLength(500);
			builder.Property(t => t.NAME).HasMaxLength(30);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(60);

            builder.Property(t => t.API).HasMaxLength(500);
			builder.Property(t => t.PARAMS).HasMaxLength(500);
		} 
    }
}